Package skyview.geometry.sampler

# Class Spline

java.lang.Object
skyview.geometry.Sampler
skyview.geometry.sampler.Spline

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Component`

public class Spline extends Sampler

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class skyview.geometry.Sampler

`bounds, inDepth, inHeight, inImage, inWidth, outDepth, outHeight, outImage, outWidth, trans`

## Constructor Summary

Constructors
Constructor
Description
`Spline()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get the description of this component.
`String`
`getName()`
Get the name of this component.
`double`
`interpolatedValue(double x, double y)`
`void`
`sample(int pix)`
Find the value in the input data to put in the output data.
`void`
`setInput(Image inImage)`
Construct a sample of a given degree.
`void`
`setOrder(int order)`
Set the order

### Methods inherited from class skyview.geometry.Sampler

`clone, factory, setBounds, setOutput, setTransform`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Spline

public Spline()

## Method Details

### getName

public String getName()
Description copied from interface: `Component`
Get the name of this component.

### getDescription

public String getDescription()
Description copied from interface: `Component`
Get the description of this component.

### setOrder

public void setOrder(int order)
Set the order

Overrides:
  `setOrder` in class `Sampler`

### setInput

public void setInput(Image inImage)
Construct a sample of a given degree. Probably should override the setImage functions and such since we don't handle 3-D images yet.

Overrides:
  `setInput` in class `Sampler`

### interpolatedValue

public double interpolatedValue(double x, double y)

### sample

public void sample(int pix)
Description copied from class: `Sampler`
Find the value in the input data to put in the output data. The output array defined in a previous setOutput call is updated.

Specified by:
  `sample` in class `Sampler`
Parameters:
  `pix` - The index into the output array.